"use strict";

var _uidCounter = require("../uid-counter");

describe('UID', function () {
  describe('constructor', function () {
    it('Should create UID successfully', function () {
      expect(function () {
        return new _uidCounter.UIDCounter();
      }).not.toThrow();
    });
    it('Should create different UIDs', function () {
      expect(new _uidCounter.UIDCounter()).not.toEqual(new _uidCounter.UIDCounter());
    });
  });
  describe('equals', function () {
    it('Should return false on different UIDs', function () {
      expect(new _uidCounter.UIDCounter().equals(new _uidCounter.UIDCounter())).toBe(false);
    });
    it('Should be true on the same UIDs', function () {
      var uid1 = new _uidCounter.UIDCounter();
      var uid2 = uid1;
      expect(uid1.equals(uid2)).toBe(true);
    });
  });
});
//# sourceMappingURL=uid-counter.test.js.map